package control

import (
	"github.com/spf13/cobra"
)

var shardsCmd = &cobra.Command{
	Use:   "shards",
	Short: "Operations with storage node's shards",
	Long:  "Operations with storage node's shards",
}

func initControlShardsCmd() {
	shardsCmd.AddCommand(listShardsCmd)
	shardsCmd.AddCommand(setShardModeCmd)
	shardsCmd.AddCommand(evacuationShardCmd)
	shardsCmd.AddCommand(flushCacheCmd)
	shardsCmd.AddCommand(doctorCmd)

	initControlShardsListCmd()
	initControlSetShardModeCmd()
	initControlEvacuateShardCmd()
	initControlEvacuationShardCmd()
	initControlFlushCacheCmd()
	initControlDoctorCmd()
}
